import { IconifyJSON } from '@iconify/types';
import { PreprocessorGroup } from 'svelte/types/compiler/preprocess';

interface BaseConfig {
    silent?: boolean;
    mode?: 'development' | 'production';
    attributify?: {
        strict?: boolean;
        prefix?: string;
        prefixedOnly?: boolean;
        nonValuedAttribute?: boolean;
        ignoreAttributes: string[];
    };
    icons?: {
        prefix?: string;
        collections?: Record<string, IconifyJSON>;
        extraProperties?: Record<string, string>;
    };
}
declare type DefaultConfig = BaseConfig;
declare type UserConfig = BaseConfig;
declare function generate(userConfig?: UserConfig): PreprocessorGroup;
declare const windi: typeof generate;

export { BaseConfig, DefaultConfig, UserConfig, windi as default, generate, windi };
